
:root {
	--primarycolor: #2889a6;
	--secondarycolor: #1fc1a9;
	--btncolor:#007464;
	--bg1color:#32AA3B; /* 1fc1a9 */
	--bg2color:#137413; /* 2889a6 */
	--iconbg:#3d4852; /* #22B798 */
	--secondarybg: #F4F4F4; /* #DCEEFA */
	--higlightcolot:#CB242F;
}

#err_fail_content, #noRecords, #error_loading_page, #noAds {
	display: none;
}

div.section-bmi.section-ads {
	padding-bottom: 10px !important;
}

div.section-ads div.noconnection {
	margin: 10px !important;
}

div.section-ads a.btn.btn-main {
	background: linear-gradient(284deg,#ff0263,#ff3781 70%,#ff6505) 0 0 no-repeat padding-box;
	color: white;
	border-radius: 12px;
	background-size: 400% 400%;
	padding: 8px 12px;
	font-size: 16px;
}

.section-ads img {
	display: block;
	margin: 0 auto;
	max-width:40%;
	padding: 15px;
}

.section-ads .bmiinfo {
	background: white;
	border: 1px solid rgba(0,0,0,.125);
	box-shadow: 22px 22px 68px rgb(0 0 0 / 8%);
	padding: 20px;
	margin: 20px;
}

.section-ads .desc {
	padding:10px;
}

div.section-terms {
	background: white;
	padding: 10px;
}

img.lotoExample{
	max-width: 100%;
	padding:0px 19%;
	margin-top:5px
}


/*
	-- number generator
*/

div.number-generator div.bmiinfo > div.ui-grid-b {
	padding: 0px;
}

div.number-generator {
	 background: white;
}

div.number-generator .bmiinfo {
	padding:15px 0px !important;
}

div#generatorResults {
	padding:0px !important;
}

div.generator .b1 {
	background: radial-gradient(circle, white 40%, #FFA900 45%, #FFA900  48%,  #FFE5A4 50%, #FFC334 75%, #FFC334 97%, #FFA900 100%) !important;
}

div.generator .b2 {
	background: radial-gradient(circle, white 40%, #B42113 45%, #FF2E1B  48%,  #FF735F 50%, #FF2E1B 75%, #FF2E1B 97%, #B42113 100%) !important;
}

div.generator .b3 {
	background: radial-gradient(circle, white 40%, #3D8FBB 45%, #6ABCD6  48%,  #96D2E2 50%, #6ABCD6 75%, #6ABCD6 97%, #3D8FBB 100%) !important;
}

div.generator .b4 {
	background: radial-gradient(circle, white 40%, #5C5C8C 45%, #7C7BB9  48%,  #A2A1CE 50%, #7C7BB9 75%, #7C7BB9 97%, #5C5C8C 100%) !important;
}

div.generator .b5 {
	background: radial-gradient(circle, white 40%, #00A515 45%, #5AC600  48%,  #8DD952 50%, #5AC600 75%, #5AC600 97%, #00A515 100%) !important;
}

div.generator .b6 {
	background: radial-gradient(circle, white 40%, #B42113 45%, #FF2E1B  48%,  #FF735F 50%, #FF2E1B 75%, #FF2E1B 97%, #B42113 100%) !important;
}

div.generator .ball#B1 {
	background: radial-gradient(circle, white 40%, #FFA900 45%, #FFA900  48%,  #FFE5A4 50%, #FFC334 75%, #FFC334 97%, #FFA900 100%);;
}

div.generator .ball#B2 {
	background: radial-gradient(circle, white 40%, #B42113 45%, #FF2E1B  48%,  #FF735F 50%, #FF2E1B 75%, #FF2E1B 97%, #B42113 100%);;
}

div.generator .ball#B3 {
	background: radial-gradient(circle, white 40%, #3D8FBB 45%, #6ABCD6  48%,  #96D2E2 50%, #6ABCD6 75%, #6ABCD6 97%, #3D8FBB 100%);;
}

div.generator .ball#B4 {
	background: radial-gradient(circle, white 40%, #5C5C8C 45%, #7C7BB9  48%,  #A2A1CE 50%, #7C7BB9 75%, #7C7BB9 97%, #5C5C8C 100%);;
}

div.generator .ball#B5 {
	background: radial-gradient(circle, white 40%, #00A515 45%, #5AC600  48%,  #8DD952 50%, #5AC600 75%, #5AC600 97%, #00A515 100%);;
}

div.generator .ball#B6 {
	background: radial-gradient(circle, white 40%, #B42113 45%, #FF2E1B  48%,  #FF735F 50%, #FF2E1B 75%, #FF2E1B 97%, #B42113 100%);;
}

.numbers-generator .balls .bonus.extra {
	background: radial-gradient(circle, white 40%, #176B13 45%, #1F7D20  48%,  #278F2D 50%, #1F7D20 75%, #1F7D20 97%, #176B13 100%);;
	color:red !important;
	font-size: 20px !important;
	font-weight: bold;
}

.balls .ball, .balls .bonus, .ball:last-child {
	border-radius:65px;
	display:inline-block;
	height:40px;
	letter-spacing:-1px;
	position:relative;
	text-align:center;
	top:0;
	width:40px;
	background-size:500px 1500px;
	padding:0;
	margin-bottom:0;
	margin-right: 10px;
	color:#4F4F4F;
	font-size: 18px !important;
	font-weight: bold;
	filter: grayscale(0.4) !important;
}

.balls .bonus.extra {
	background-position:54.466% 3.425%;
	color:#293444;
}

.balls .bonus:before, .ball:last-child:before {
	width:40px;
	height:20px;
	font:11px/18px Oswald;
	color:#293444;
	letter-spacing:0;
	text-shadow:none;
	top:42px;
	line-height:12px;
}

.balls.big .bonus:before {
	top:56px;
	width:50px;
}

.balls.big .ball,.balls.big .bonus {
	background-size:650px 1950px;
	height:52px;
	width:52px;
	font-size:1.500em;
	line-height:54px;
}

.balls.big .ball:after, .balls.big .bonus:after {
	background-size:650px 1950px;
	height:17px;
	bottom:-8px;
	left:0px;
	width:50px;
}

.numbers-generator .balls .ball {
  background-color:#0b4cd7;
}

.numbers-generator .balls .bonus.extra {
  background-color:#ffdc00;
  color: #293444;
}

.balls .innerA {
	position:absolute;
	width:52px;
	height:52px;
	line-height:52px;
	padding:0;
	margin:0;
	left:0;
	top:0;
	display:block;
	overflow:hidden;
}

.balls .innerB, .balls .number {
	position:relative;
	width:100%;
	height:100%;
}

.balls .innerB {
	display:block;
}

ul.balls {
	padding-left: 0px !important;
	margin-bottom: 0px;
}

/*
	results --
*/


div.section-results,
div.section-addNumbers {
	background: white;
}

div.section-bmi.top {
	padding-top: 10px;
	padding-bottom: 5px;
}

div.section-addNumbers .box{
	padding-top: 10px;
}

div.section-results .container {
	padding: 5px;
}

div.section-results .bmiinfo {
	padding: 5px;
}

div.section-mynumbers h1,
div.section-results h1{
	font-size: 16px;
	padding-bottom: 10px;
}

div.section-mynumbers h1 span,
div.section-results h1 span {
	color:#E31023;
}

div.section-mynumbers .box {
	/*background: transparent linear-gradient(270deg,#F7F7F7 0%,#F6F6F6 100%) 0% 0% no-repeat padding-box;*/
	background: #F5F5F5;
	border: 1px solid #D4D3CC;
	border-radius: 28px;
	box-shadow: none;
	padding-bottom: 10px;
	margin-top:25px;
}


div.section-mynumbers div.box.odd {
	background:white;
	box-shadow:22px 22px 68px rgb(0 0 0 / 8%);
}

div.box:nth-of-type(even),
div.box.box0 {
	border:1px solid #EBEBEB !important;
	background: white !important;
	box-shadow:22px 22px 68px rgb(0 0 0 / 8%);
}


 div.section-mynumbers ul.balls li.ball {
	margin-right: 5px !important;
}

div.section-results .box {
	background-color: #FFFFFF;
	border-width: 1px;
	border-radius: 28px;
	border: 1px solid  #f7faf7;
	box-shadow: 22px 22px 68px rgb(0 0 0 / 8%);
	margin-bottom: 25px;
	padding:15px 10px;
}

div.section-results table th {
	background: #282934;
	color:#F5F5F5;
	padding:5px;
}

div.section-results table {
	border:1px solid hsla(0,0%,85.9%,.4);
	font-size: 13px;
	width: 100%;
	margin-top:10px;
}

div.section-results table tr:nth-of-type(odd) {
    background-color: #f9f9f9;
}

div.section-results td {
	padding:5px 5px;
}

div.section-results  tr.total td {
	padding:10px 5px;
	background: #E0DFE6;
	font-weight: bold;
}

div.section-results  tr.total td strong {
	float:right;
	color:#212b36;
}

div.section-results ul.balls li.ball {
	margin-right: 2px !important;
}

div.section-results ul.balls li.ball.red {
	color:red !important;
}


div#myRecords .btn-danger{
	background:linear-gradient(284deg,#ff0263,#ff3781 70%,#ff6505) 0 0 no-repeat padding-box;
	color:white;
	border-radius: 12px;
	background-size: 400% 400%;
	padding: 8px 12px;
	font-size: 16px;
}

div#myRecords .actionarea div {
	text-align: center;
	padding-top:20px;
}

div#myRecords .box{
	text-align: center;
}

div.container span.m {
	color: #E31023;
}


div.section-mynumbers span.m {
	font-weight: bold;
}

.animation {
	opacity: 0.1;
}

body.ios-notch .footer-elements a {
	border:none;
	padding-bottom: 18px !important;
}

div.footer-elements i {
	font-size: 33px;
	margin-bottom: 5px;
}

div.errscan {
	padding-bottom: 3px;
}

.ui-page-active .ui-footer {
	z-index: 9999;
}

div#content div.noconnection {
	margin:0px;
}

div#content #cform{
	padding-top: 5px;
}

div#content #cform i{
	font-size: 26px;
}


div.section-results {
	text-align: center;
}


/*
	-- add numbers
*/

.hidden {
	display: none;
}

div.section-addNumbers div.box {
	margin-bottom: 0px;
}

div.section-addNumbers h1 {
	font-size: 24px;
}

div.bilet {
	padding:0px;
	background: white;
}

div.bilet table {
	width:100%;
}

div.bilet td {
	text-align: center;
	padding:4px;
}

table.bilet td div {
	border:1px solid #E9E9E9;
	width: 100%;
	padding:6px 5px;
	border-radius: 2px;
	font-size: 20px;
	background: #F8F8F8;
}

table.bilet td.active div {
	color:#CC4613;
	border:1px solid #CC4613;
	background: #FEF1C2;
}

input.active {
	border:1px solid red;
}

div.numbers .ui-input-text {
	padding:0px;
	margin:0px;
	box-shadow:none;
	border:none;
	background: transparent;
}

div.numbers .addnumbers {
	border:none;
	background: transparent;
	padding: 12px 12px 12px 20px;
}

ul.balls li.ball {
	margin-right: 2px !important;
}



